Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.component.html
Class HtmlOutputFormat

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.html.HtmlOutputFormat

All Implemented Interfaces:
  StateHolder, ValueHolder

public class HtmlOutputFormat
extends UIOutput

Version:
  $Revision: 166994 $ $Date: 2004-07-01 18:12:40 -0400 (Thu, 01 Jul 2004) $
Author:
  Thomas Spiegl (latest modification by $Author: mwessendorf $)

Field Summary
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIOutput
`COMPONENT_FAMILY`

Constructor Summary
`HtmlOutputFormat()`

Method Summary
`java.lang.String` | `getStyle()`
`java.lang.String` | `getStyleClass()`
`java.lang.String` | `getTitle()`
`boolean` | `isEscape()`
`void` | `restoreState(FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(FacesContext context)`
`void` | `setEscape(boolean escape)`
`void` | `setStyle(java.lang.String style)`
`void` | `setStyleClass(java.lang.String styleClass)`
`void` | `setTitle(java.lang.String title)`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getFamily, getLocalValue, getValue, setConverter, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlOutputFormat

    public HtmlOutputFormat()

Method Detail

### setEscape

    public void setEscape(boolean escape)

### isEscape

    public boolean isEscape()

### setStyle

    public void setStyle(java.lang.String style)

### getStyle

    public java.lang.String getStyle()

### setStyleClass

    public void setStyleClass(java.lang.String styleClass)

### getStyleClass

    public java.lang.String getStyleClass()

### setTitle

    public void setTitle(java.lang.String title)

### getTitle

    public java.lang.String getTitle()

### saveState

    public java.lang.Object saveState(FacesContext context)

  Specified by:
    `saveState` in interface `StateHolder`
  Overrides:
    `saveState` in class `UIOutput`

### restoreState

    public void restoreState(FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `StateHolder`
  Overrides:
    `restoreState` in class `UIOutput`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD